<?xml version="1.0" encoding="UTF-8"?>
<GenRun Id="synth_1" LaunchPart="xc7k160tffv676-1" LaunchTime="1702393037">
  <File Type="VDS-TIMINGSUMMARY" Name="filter_timing_summary_synth.rpt"/>
  <File Type="RDS-DCP" Name="filter.dcp"/>
  <File Type="RDS-UTIL-PB" Name="filter_utilization_synth.pb"/>
  <File Type="RDS-UTIL" Name="filter_utilization_synth.rpt"/>
  <File Type="RDS-PROPCONSTRS" Name="filter_drc_synth.rpt"/>
  <File Type="RDS-RDS" Name="filter.vds"/>
  <File Type="REPORTS-TCL" Name="filter_reports.tcl"/>
  <File Type="VDS-TIMING-PB" Name="filter_timing_summary_synth.pb"/>
  <File Type="PA-TCL" Name="filter.tcl"/>
  <FileSet Name="sources" Type="DesignSrcs" RelSrcDir="$PSRCDIR/sources_1" RelGenDir="$PGENDIR/sources_1">
    <Filter Type="Srcs"/>
    <File Path="$PPRDIR/../comp/functions.vhd">
      <FileInfo SFType="VHDL2008">
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PPRDIR/../comp/block_memory.vhd">
      <FileInfo SFType="VHDL2008">
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PPRDIR/../filter_ent.vhd">
      <FileInfo SFType="VHDL2008">
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PPRDIR/../comp/jenkins_mix.vhd">
      <FileInfo SFType="VHDL2008">
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PPRDIR/../comp/jenkins_final.vhd">
      <FileInfo SFType="VHDL2008">
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PPRDIR/../comp/jenkins_hash.vhd">
      <FileInfo SFType="VHDL2008">
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PPRDIR/../filter.vhd">
      <FileInfo SFType="VHDL2008">
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="DesignMode" Val="RTL"/>
      <Option Name="TopModule" Val="filter"/>
    </Config>
  </FileSet>
  <FileSet Name="constrs_in" Type="Constrs" RelSrcDir="$PSRCDIR/constrs_1" RelGenDir="$PGENDIR/constrs_1">
    <Filter Type="Constrs"/>
    <File Path="$PPRDIR/filter.xdc">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="ConstrsType" Val="XDC"/>
    </Config>
  </FileSet>
  <FileSet Name="utils" Type="Utils" RelSrcDir="$PSRCDIR/utils_1" RelGenDir="$PGENDIR/utils_1">
    <Filter Type="Utils"/>
    <Config>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <Strategy Version="1" Minor="2">
    <StratHandle Name="Vivado Synthesis Defaults" Flow="Vivado Synthesis 2023"/>
    <Step Id="synth_design">
      <Option Id="MoreOptsStr"><![CDATA[-mode out_of_context]]></Option>
    </Step>
  </Strategy>
</GenRun>
